# pssegyz

Plot a SEGY file in 3-D

## Synopsis

gmt pssegyz SEGYfile -J parameters -J z|Z parameters -R west/east/south/north[/zmin/zmax][+r][+u unit] -D deviation -F[color] -W [ -C clip ] [ -I ] [ -K ] [ -L nsamp ] [ -M ntrace ] [ -N ] [ -O ] [ -P ] [ -Q<mode><value> ] [ -S header_x/header_y ] [ -U[stamp] ] [ -V[level] ] [ -X[a|c|f|r][xshift] ] [ -Y[a|c|f|r][yshift] ] [ -Z ] [ -p flags ] [ -t transp ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

Reads a native (IEEE) format SEGY file and produces a plot of the seismic data. The imagemask operator is used so that the seismic data are plotted as a 1-bit deep bitmap in a single (user-specified) color or gray shade, with a transparent background. The bitmap resolution is taken from the current GMT defaults. The seismic traces may be plotted at their true locations using information in the trace headers (in which case order of the traces in the file is not significant). Standard GMT geometry routines are used so that in principle any map projection may be used, however it is likely that the geographic projections will lead to unexpected results. Beware that a couple of the options for the 2-D plotter are not available in here.

Note that the order of operations before the seismic data are plotted is deviation*[clip]([bias]+[normalize](sample value)). Deviation determines how far in the plot coordinates a [normalized][biased][clipped] sample value of 1 plots from the trace location.

The SEGY file should be a disk image of the tape format (i.e., 3200 byte text header, which is ignored, 400 byte binary reel header, and 240 byte header for each trace) with samples as native real*4 (IEEE real on all the platforms to which I have access).

## Required Arguments

SEGYfile

  Seismic SEGY data set to be imaged.

-J parameters (more …)

  Select map projection.

-R west/east/south/north[/zmin/zmax][+r][+u unit]

  west, east, south, and north specify the region of interest, and you may specify them in decimal degrees or in [±]dd:mm[:ss.xxx][W|E|S|N] format Append +r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Set geographic regions by specifying ISO country codes from the Digital Chart of the World using -R code1,code2,…[+r|R[incs]] instead: Append one or more comma-separated countries using the 2-character ISO 3166-1 alpha-2 convention. To select a state of a country (if available), append .state, e.g, US.TX for Texas. To specify a whole continent, prepend = to any of the continent codes AF (Africa), AN (Antarctica), AS (Asia), EU (Europe), OC (Oceania), NA (North America), or SA (South America). Use +r to modify the bounding box coordinates from the polygon(s): Append inc, xinc/yinc, or winc/einc/sinc/ninc to adjust the region to be a multiple of these steps [no adjustment]. Alternatively, use +R to extend the region outward by adding these increments instead, or +e which is like +r but it ensures that the bounding box extends by at least 0.25 times the increment [no extension]. Alternatively for grid creation, give R code lon/lat/nx/ny, where code is a 2-character combination of L, C, R (for left, center, or right) and T, M, B for top, middle, or bottom. e.g., BL for lower left. This indicates which point on a rectangular region the lon/lat coordinate refers to, and the grid dimensions nx and ny with grid spacings via -I is used to create the corresponding region. Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing and registration, if applicable) are copied from the grid. Appending +u unit expects projected (Cartesian) coordinates compatible with chosen -J and we inversely project to determine actual rectangular geographic region. For perspective view (-p), optionally append /zmin/zmax. In case of perspective view (-p), a z-range (zmin, zmax) can be appended to indicate the third dimension. This needs to be done only when using the -Jz option, not when using only the -p option. In the latter case a perspective view of the plane is plotted, with no third dimension.

-D deviation

  gives the deviation in X units of the plot for 1.0 on the scaled trace, This may be a single number (applied equally in X and Y directions) or the pair devX/devY.

-F[color]

  Fill trace (variable area, defaults to filling positive). Specify the color with which the imagemask is filled.

-W

  Draw wiggle trace.

You must specify at least one of -W and -F.

## Optional Arguments

-A

  Flip the default byte-swap state (default assumes data have a bigendian byte-order).

-C clip

  Sample value at which to clip data (clipping is applied to both positive and negative values).

-I

  Fill negative rather than positive excursions.

-L nsamp

  Override number of samples per trace in reel header (program attempts to determine number of samples from each trace header if possible to allow for variable length traces).

-M ntrace

  Override number of traces specified in reel header. Program detects end of file (relatively) gracefully, but this parameter limits number of traces that the program attempts to read.

-N

  Normalize trace by dividing by rms amplitude over full trace length.

-Q<mode><value>
  Can be used to change 5 different settings depending on mode:

    -Qb bias to bias scaled traces (-Qb-0.1 subtracts 0.1 from values).

    -Qi dpi sets the dots-per-inch resolution of the image [300].

    -Qu redvel to apply reduction velocity (negative removes reduction already present).

    -Qx mult to multiply trace locations by mult.

    -Qy dy to override sample interval in reel header.

-S header_x/header_y

  Read trace locations from trace headers: headers is either c for CDP, o for offset, b num to read a long starting at byte num in the header (first byte corresponds to num=0), or a number to fix the location. First parameter for x, second for y. Default has X and Y given by trace number.

-U[label][+c][+j just][+o dx/dy] (more …)

  Draw GMT time stamp logo on plot.

-V[level] (more …)

  Select verbosity level [w].

-X[a|c|f|r][xshift]

-Y[a|c|f|r][yshift] (more …)

  Shift plot origin.

-Z

  Do not plot traces with zero rms amplitude.

-p[x|y|z]azim[/elev[/zlevel]][+w lon0/lat0[/z0]][+v x0/y0] (more …)

  Select perspective view.

-t[transp] (more …)

  Set transparency level in percent.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Classic Mode Arguments

These options are used to manipulate the building of layered GMT PostScript plots in classic mode. They are not available when using GMT modern mode.

-K (more …)

  Do not finalize the PostScript plot.

-O (more …)

  Append to existing PostScript plot.

-P (more …)

  Select “Portrait” plot orientation.

## Examples

To plot the SEGY file wa1.segy with normalized traces plotted at true offset locations, clipped at ±3 and with wiggle trace and positive variable area shading in black, use

>     gmt pssegyz wa1.segy -JX5i/-5i -D1 -Jz0.05i -E180/5 -R0/100/0/10/0/10 \
>             -C3 -N -So -W -Fblack > segy.ps

## Bugs

Variable area involves filling four-sided figures of distressing generality. I know that some of the more complex degenerate cases are not dealt with correctly or at all; the incidence of such cases increases as viewing angles become more oblique, and particularly as the viewing elevation increases. Wiggle-trace plotting is not affected.

## See Also

gmt, pssegy, segy2grd